<div class="container">
  <div class="row">
    <div class="col">

      <div id="content">
        <h1 class="text-primary">Registration</h1>

        <form novalidate [formGroup]="signupForm" (ngSubmit)="submit()">

          <div class="form-group">
            <label for="name">Name</label>
            <div class="input-group">
              <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-user"></i></span>
              </div>
              <input type="text" id="name" formControlName="name" class="form-control" placeholder="Enter your full name">
            </div>
            <small *ngIf="signupForm.controls['name'].dirty && signupForm.controls['name'].invalid " class="form-text text-danger">
              At least 3 characters
            </small>
          </div>

          <div class="form-group">
            <label for="email">Email</label>
            <div class="input-group">
              <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-envelope"></i></span>
              </div>
              <input type="email" id="email" formControlName="email" class="form-control" placeholder="Enter your email address">
            </div>
            <small *ngIf="signupForm.controls['email'].dirty && signupForm.controls['email'].invalid" class="form-text text-danger">
              Must be a valid email address
            </small>
          </div>

          <div class="form-group">
            <label for="email">Address</label>
            <div class="input-group">
              <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-address-card"></i></span>
              </div>
              <input type="text" id="address" formControlName="address" class="form-control" placeholder="Enter your address">
            </div>
            <small class="form-text text-danger" *ngIf="signupForm.controls['address'].dirty && signupForm.controls['address'].invalid">
              At least 5 characters
            </small>
          </div>

          <button type="submit" class="btn btn-success" [disabled]="signupForm.invalid">
            Please, sign me up
          </button>
        </form>

        <hr/>
        <small>DEBUG</small>
        <pre>{{signupForm.value | json}}</pre>
      </div>

      <div id="notification"*ngIf="notificationMessage">
        {{notificationMessage}}
      </div>
    </div>
  </div>
</div>
